%define name 	prozgui
%define version	2.0.4beta3
%define release	4mdk

Summary: 	A GUI advanced Linux download manager.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Networking/File transfer
Source0: 	%{name}-%{version}.tar.bz2
Source1:   	%{name}16.png
Source2:   	%{name}32.png
Source3:   	%{name}48.png
Patch0:		%{name}-flprogress.patch.bz2
Patch1:		%{name}-options.patch.bz2
URL: 		http://prozilla.delrom.ro/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
#Icon:		%{name}48.png
BuildRequires:	fltk-devel
BuildRequires:	bzip2-devel
Requires: 	fltk



%description
This is the GUI version of Prozilla. It uses libprozilla and the the GUI is
created and designed with The Fast Light Tool Kit (fltk).

ProZilla is a download accellerator program written for Linux to speed up the
normal file download process. It often gives speed increases of around 200% to
300%. It supports both FTP and HTTP protocols, and the theory behind it is
very simple. The program opens multiple connections to several ftp servers
hosting the same file, and each of the connections downloads a part of the
file, thus defeating existing internet congestion prevention methods which
slow down a single connection based download.


%prep

%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p0
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
    --mandir=%{_mandir}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} mandir=$RPM_BUILD_ROOT%{_mandir} install

# remove devel files, if you need them, speak up
rm -f $RPM_BUILD_ROOT%{_includedir}/* $RPM_BUILD_ROOT%{_libdir}/*
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/*/*/libprozilla.mo


# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Networking/File transfer" \
title="ProzGUI" \
longtitle="ProzGUI" \
command="%{_bindir}/prozgui" \
icon="%{name}.png"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %name

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/prozgui
%{_mandir}/man1/prozgui*
%doc COPYING ChangeLog CREDITS* INSTALL README TODO
%doc docs/FAQ libprozilla/docs/HACKING
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_liconsdir}/%{name}.*
%{_menudir}/*


%changelog
* Sat Sep 06 2003 Marcel Pol <mpol@gmx.net> 2.04beta3-4mdk
- buildrequires
- remove devel files
- icons xpm => png
- small fixes

* Thu Jan 16 2003 Erwan Velu <erwan@mandrakesoft.com> 2.04beta3-3mdk
- New glibc rebuild
* Fri Nov 22 2002 Erwan Velu <erwan@mandrakesoft.com> 2.04beta3-2mdk
- Fixing default attr root :-)
* Fri Nov 22 2002 Erwan Velu <erwan@mandrakesoft.com> 2.04beta3-1mdk
- First Mdk release
- Patching for fltk 1.1.1 support

* Sat Feb 09 2002 Ralph Slooten <ralph@delrom.ro>
- ProzGUI 2.0.4beta3 released

* Mon Oct 22 2001 Ralph Slooten <axllent@axllent.cjb.net>
- ProzGUI 2.0.4beta2 released

* Sun Sep 23 2001 Ralph Slooten <axllent@axllent.cjb.net>
- ProzGUI 2.0.4beta released
- GUI improvements
- FTP search
- Download from several servers

* Wed Aug 29 2001 Ralph Slooten <axllent@axllent.cjb.net>
- ProzGUI 2.0.2 released
- GUI improvements
- Man page included

* Thu Aug 23 2001 Ralph Slooten <axllent@axllent.cjb.net>
- ProzGUI 2.0.0 released!

* Wed Aug 01 2001 Ralph Slooten <axllent@axllent.cjb.net>
- RPM created for libprozilla / prozgui
- Created Mandrake Menu-entries
